Page MenuHomePhabricator

Request increase quota for ores-staging to 52GB RAM
Closed, ResolvedPublic

Description

Project Name: ores-staging
Type of quota increase requested: Increase RAM quota to 48GB (enough for a 16GB and 36GB instance side-by-side)
Reason:

The plan is to have two VMs in this project:

  • ores-staging-02 xlarge (A staging deploy environment)
  • ores-misc-01 bigram (Heavy computing machine to be used to build models and run tests)

Desired quota:

  • RAM: 16 + 36 = 52GB
  • CPU: 8 + 8 = 16
  • Disk: 160 + 80 = 240GB

Once we have this ready, we'll delete the "ores-compute-01" VM from the "ores" project.

Event Timeline

Halfak renamed this task from Increase quote for ores-staging to 48 GB to Increase quota for ores-staging to 48 GB.Jul 5 2017, 9:26 PM
Halfak renamed this task from Increase quota for ores-staging to 48 GB to Request increase quota for ores-staging to 48GB RAM.
Halfak updated the task description. (Show Details)

This is fine -- we'll want to track the deletion of your existing instance so we can revert the quota after it's gone. Remind me if I don't get this done in the next few days.

Thanks. Would you like us to set up quotas so that they are tight or can we have some wiggle room to set up a new VM before taking an old one offline. I'm imagining that we'd want one web/celery worker's worth of quota just in case in the "ores" project.

Our celery workers are m1.large and web workers are m1.medium.

Halfak renamed this task from Request increase quota for ores-staging to 48GB RAM to Request increase quota for ores-staging to 52GB RAM.Jul 11 2017, 3:56 PM
Halfak updated the task description. (Show Details)

Ok, increased to 54000. For projects with over-default quotas we generally try to keep a fairly tight lid just we aren't surprised by sudden unexpected usage... if you think you'll be rotating more in the future it's fine to keep the overhead though.

bd808 triaged this task as Medium priority.
bd808 moved this task from Inbox to Approved on the Cloud-VPS (Quota-requests) board.
bd808 added a subscriber: bd808.

Approved in our 2017-07-11 team meeting.

bd808 removed bd808 as the assignee of this task.Jul 11 2017, 7:04 PM
Andrew claimed this task.